%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Summary:	Visualize flow data as a time-series broken down into several configurable bins 

Packager:	Lawrence R. Rogers (lrr@cert.org)

License:	GPLv2
Vendor:		CERT Network Situational Awareness
URL:		http://tools.netsa.cert.org/script-prism/index.html
Name:		prism
Version:	1.2
Release:	5%{?dist}
Group:		Applications/System
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{buildroot}
BuildRequires:	python netsa-python >= 1.4
Requires:	python netsa-python >= 1.4 netsa-rayon >= 1.4 silk-analysis >= 3.6

%description
The Prism trend script is a tool for quickly visualizing flow data as a time-series broken
down into several configurable bins by SiLK's rwfilter tool. The script can be used directly,
or might be used as a component in other more specialized scripts.

In addition to providing immediate visualizations, the Prism trend script can store these
breakdowns in a relational database (currently supporting PostgreSQL or sqlite) for later
quick lookup.

Prism 1.1 requires netsa-python 1.3, Rayon 1.3.0, and SiLK 2.0.0 or better.

For assistance with the Prism script, please contact netse-help@cert.org

%prep
%setup

%build
%__python setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%clean
# %{__rm} -rf %{buildroot}

%files
%defattr(444, root, root, 0755)
%doc GPL.txt LICENSE-OPENSOURCE.txt PKG-INFO README.txt
%attr(0755, root, root)		%{_bindir}/trend-cron.py
%attr(0755, root, root)		%{_bindir}/trend.py
%attr(444, root, root)		%{python_sitelib}/%{name}*egg-info
%attr(444, root, root)		%{python_sitelib}/netsa_trend_util.py*

%changelog
* Mon Dec 17 2018 Lawrence R. Rogers <lrr@cert.org> 1.2-5
* Release 1.2-5
	Rebuilt for silk 3.18.0.

* Fri Jun  1 2018 Lawrence R. Rogers <lrr@cert.org> 1.2-4
* Release 1.2-4
	Rebuilt for silk 3.17.1.

* Fri Jun 21 2013 Lawrence R. Rogers <lrr@cert.org> 1.2-3
* Release 1.2-3
	New release since SiLK 3 is public.

* Tue May 7 2013 Lawrence R. Rogers <lrr@cert.org> 1.2-2.1
* Release 1.2-2.1
	Keeping up with the numbering scheme for the SiLK 2 versions.

* Mon Feb 3 2013 Lawrence R. Rogers <lrr@cert.org> 1.2-1.1
* Release 1.2-1.1
	Added new wsgi web UI.
	Filter DeprecationWarnings to prevent user confusion.

* Fri Feb 17 2012 Lawrence R. Rogers <lrr@cert.org> 1.1.1-1
* Release 1.1.1-1
	Fixed font-size bug with HTML output.
	Added mising trend.conf.sample to distribution.

* Tue Apr 12 2011 Lawrence R. Rogers <lrr@cert.org> 1.1-1
* Release 1.1-1
	Added setup.py installation script.
	Piped input files now properly supported.
	Added support for config files to include other config files.
	Added ability to set font-sizes for individual bin name titles.
	Added "invertible filters". See trend.conf.sample for details.

* Wed Sep 15 2010 Lawrence R. Rogers <lrr@cert.org> 1.0-1
* Release 1.0-1
	Initial public release
